Catalog

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Meta Payloads Example

{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "<receipientPhoneNumber>",
  "type": "interactive",
  "interactive" : {
    "type" : "catalog_message",
    "body" : {
      "text": "Thanks for your order! Tell us what address you’d like this order delivered to."
    },
    "action": {
      "name": "catalog_message",
      "parameters": { // *Optional
        "thumbnail_product_retailer_id": "<Product-retailer-id>"
      }
    }
  }
}

Response

Status CodeResponseComment
Success 200
{
  "status": "submitted",
  "messageId": "4bed9a90-9f7a-4584-be5b-8ee1cba61a01"
}
Error 401
{
  "message": {
    "message": "Authentication Failed"
  },
  "status": "error"
}
When APIKey authentication fails or apikey is not sent

Request Parameters

KeyDescriptionConstraints
apikeyApikey of the account where the app is to be createdShould be a valid gupshup.io apikey
sourceSource Phone Number
src.nameSource App Name
destinationDestination phone number
messageCatalog message payload
channelChannel to send messages to- Must be WhatsApp
disablePreviewWhether to disable preview of url

Message Payloads

KeyDescriptionConstraints
typeMessage typeShould be product_detailsfor product messages
sub_typeMessage Sub TypeShould be product_detailsfor product messages
bodyMessage Body Content
footerMessage Footer contentOptional
thumbnailIdProduct Id to be shown as Thumbnail for catalogShould contain valid product IDs from the catalog connected to Waba
Form Data
string

Sender's WhatsApp number

string

Name of the source application

string

Recipient's WhatsApp number

string

JSON string containing message details

string
enum
Allowed:
boolean

Flag to disable message preview

Headers
string
required

API key for authentication

Response
200

Message sent successfully

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!